gh(1)

NAME

gh-completion - Generate shell completion scripts

SYNOPSIS

gh completion [flags]

DESCRIPTION

Generate shell completion scripts for GitHub CLI commands.

The output of this command will be computer code and is meant to be saved to a file or immediately evaluated by an interactive shell.

For example, for bash you could add this to your ' /.bash_profile':

    eval "$(gh completion -s bash)"

When installing GitHub CLI through a package manager, however, it's possible that no additional shell configuration is necessary to gain completion support. For Homebrew, see https://docs.brew.sh/Shell-Completion

OPTIONS

-s, --shell=""
    Shell type: {bash|zsh|fish|powershell}

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

SEE ALSO

gh(1)